xmonad-contrib-0.18.1: Community-maintained extensions for xmonad

Copyright | (c) Jeremy Apthorp Nathan Fairhurst
License | BSD-style (see LICENSE)
Maintainer | Nathan Fairhurst <nathan.p3pictures@gmail.com>
Stability | unstable
Portability | portable
Safe Haskell | None
Language | Haskell2010

XMonad.Layout.MultiDishes

Contents

- Usage

Description

MultiDishes is a layout that stacks groups of extra windows underneath the master windows.

Synopsis

- data MultiDishes a = MultiDishes Int Int Rational

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.MultiDishes

Then edit your `layoutHook` by adding the MultiDishes layout:

    myLayout = MultiDishes 2 3 (1/6) ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

This is based on the Layout Dishes, but accepts another parameter for the maximum number of dishes allowed within a stack.

    MultiDishes x 1 y

is equivalent to > Dishes x y

The stack with the fewest dishes is always on top, so 4 windows with the layout `MultiDishes 1 2 (1/5)` would look like this:

    _________
    |       |
    |   M   |
    |_______|
    |_______|
    |___|___|

For more detailed instructions on editing the layoutHook see the tutorial and XMonad.Doc.Extending.

data MultiDishes a #

Constructors

MultiDishes Int Int Rational |

#### Instances

Instances details

LayoutClass MultiDishes a # |
Instance details Defined in XMonad.Layout.MultiDishes Methods runLayout :: Workspace WorkspaceId (MultiDishes a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (MultiDishes a)) # doLayout :: MultiDishes a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (MultiDishes a)) # pureLayout :: MultiDishes a -> Rectangle -> Stack a -> [(a, Rectangle)] # emptyLayout :: MultiDishes a -> Rectangle -> X ([(a, Rectangle)], Maybe (MultiDishes a)) # handleMessage :: MultiDishes a -> SomeMessage -> X (Maybe (MultiDishes a)) # pureMessage :: MultiDishes a -> SomeMessage -> Maybe (MultiDishes a) # description :: MultiDishes a -> String #
Read (MultiDishes a) # |
Instance details Defined in XMonad.Layout.MultiDishes Methods readsPrec :: Int -> ReadS (MultiDishes a) # readList :: ReadS [MultiDishes a] # readPrec :: ReadPrec (MultiDishes a) # readListPrec :: ReadPrec [MultiDishes a] #
Show (MultiDishes a) # |
Instance details Defined in XMonad.Layout.MultiDishes Methods showsPrec :: Int -> MultiDishes a -> ShowS # show :: MultiDishes a -> String # showList :: [MultiDishes a] -> ShowS #